priorities:
- name: "Add new code-flow UI to explain Advanced SAST results"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13499"
  category: "sast"
  status: "Shipped in the vuln report, MR widget, and pipeline security report. Expected completion in 17.7."
  one_month: "Complete implementation in MR changes view; address UX issues. (Development work is being handled by the Security Platform Management group.)"

- name: "Real-time SAST scanning in the IDE: initial release"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15381"
  category: "sast"
  status: "Expecting 17.6 (November 2024) for Experiment release on GitLab.com."
  one_month: "Deliver Experiment release"
  three_month: "Move on to [post-initial-release improvements](https://gitlab.com/groups/gitlab-org/-/epics/15379), as listed below"

- name: "Provide guidance on how to evaluate GitLab SAST"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15295"
  category: "sast"
  status: "Initial [guide](https://docs.gitlab.com/ee/user/application_security/sast/evaluation_guide.html) shipped"
  one_month: "Implement further edits to the evaluation guide"
  three_month: "Publish benchmark/example project guide, based on [analysis project listed below](https://gitlab.com/groups/gitlab-org/-/epics/14685)"

- name: "Restructure and update Advanced SAST docs now that the feature is GA"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15401"
  category: "sast"
  status: "In progress. (Primarily documentation.)"
  one_month: "Complete most issues in this epic"
  three_month: "Complete entire epic"

- name: "Advanced SAST engine maintenance, testing, and stability improvements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/14848"
  category: "sast"
  status: "High-priority items preparing for release"
  one_month: "Implement improvements"

- name: "Analyze Advanced SAST performance against standard benchmarks"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/14685"
  category: "sast"
  status: "Analysis and rule updates in progress. (Handled primarily by Vulnerability Research.)"
  one_month: "Continue analysis and rule updates"
  three_month: "Complete work; use results to [update documentation](https://gitlab.com/groups/gitlab-org/-/epics/15296)"

- name: "Implement the next level of documentation for rule/CWE coverage"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15343"
  category: "sast"
  status: "Assessing implementation options. (Handled primarily by Vulnerability Research.)"
  one_month: "Interview internal users and develop technical plan"
  three_month: "Ship documentation"

- name: "Enable Advanced SAST for PHP"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/14273"
  category: "sast"
  status: "Ready to begin implementation after a pause. ETA TBD."
  one_month: "Finalize engine support, migrate/implement rules"

- name: "Implement Advanced SAST for C/C++"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/14270"
  category: "sast"

- name: "Expand coverage for Vulnerability Resolution to more CWE types"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15716"
  category: "sast"
  one_month: "Finalize technical plan. Complete prerequisite changes so that we can test new feature iterations."
  three_month: "Begin executing the technical plan."

- name: "Expand real-time SAST in the IDE"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15379"
  category: "sast"
  status: "Will beging after the [initial Experiment release](https://gitlab.com/groups/gitlab-org/-/epics/15381)"
  one_month: "Respond to feedback and next steps after the initial Experiment release"
  three_month: "Work toward self-managed support; improve user-perceived latency"

- name: "Incremental pipeline-based scans (skip unmodified code)"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15545"
  category: "sast"
  status: "Currently blocked by database decomposition"

- name: "Enable Advanced SAST for additional languages"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/14312"
  category: "sast"
  status: "Waiting for other languages, as listed above. See epic for [language priority order](https://gitlab.com/groups/gitlab-org/-/epics/14312#prioritization-of-languages)."

- name: "Reshape SAST customization; allow org-specific Advanced SAST"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/14605"
  category: "sast"
  status: "Analyzing customer use cases to develop requirements"

- name: "Enable Advanced SAST by default"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15145"
  category: "sast"
  status: "Likely to occur in GitLab 18.0 due to breaking-change requirements."

- name: "Make SAST results easier to understand and triage"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/15549"
  category: "sast"
  status: "Coordinating with Security Risk Management stage for scheduling"

ux_priorities:
- name: "Analyze onboarding and day-to-day workflows for real-time IDE scanning"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10283"
  category: "sast"
  status: "Paused until further development is completed. Will include analyzing how IDE, monolith, and Cloud Connector interact for end-users."
